Sql Server Licenses - List
List sqlServerLicense resources in the subscription
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.AzureArcData/sqlServerLicenses?api-version=2026-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string |
The ID of the Azure subscription |
|
api-version
|
query | True |
string |
The API version to use for the request |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
Gets all SQL Server license in a subscription.
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.AzureArcData/sqlServerLicenses?api-version=2026-01-01
Sample response
{
"value": [
{
"properties": {
"billingPlan": "PAYG",
"licenseCategory": "Core",
"physicalCores": 24,
"activationState": "Deactivated",
"scopeType": "Subscription",
"lastActivatedAt": "2020-01-01T17:18:19.1234567Z",
"lastDeactivatedAt": "2020-01-01T17:18:19.1234567Z",
"tenantId": "89fdfcc3-4c62-41c3-93c4-16bae3bcf5ea"
},
"location": "northeurope",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"tags": {
"mytag": "myval"
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/SqlServerLicenses/sqlServerLicense1",
"name": "sqlServerLicense1",
"type": "Microsoft.AzureArcData/SqlServerLicenses"
},
{
"properties": {
"billingPlan": "PAYG",
"licenseCategory": "Core",
"physicalCores": 24,
"activationState": "Deactivated",
"scopeType": "Subscription",
"lastActivatedAt": "2020-01-01T17:18:19.1234567Z",
"lastDeactivatedAt": "2020-01-01T17:18:19.1234567Z",
"tenantId": "89fdfcc3-4c62-41c3-93c4-16bae3bcf5ea"
},
"location": "northeurope",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"tags": {
"mytag": "myval"
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/SqlServerLicenses/sqlServerLicense2",
"name": "sqlServerLicense2",
"type": "Microsoft.AzureArcData/SqlServerLicenses"
}
]
}
Definitions
| Name | Description |
|---|---|
|
activation |
The activation state of the license. |
|
billing |
SQL Server license type. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
license |
This property represents the choice between SQL Server Core and ESU licenses. |
|
scope |
The Azure scope to which the license will apply. |
|
Sql |
Describe SQL Server license resource. |
|
Sql |
A list of SQL Server licenses. |
|
Sql |
Properties of SQL Server License. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
activationState
The activation state of the license.
| Value | Description |
|---|---|
| Activated | |
| Deactivated |
billingPlan
SQL Server license type.
| Value | Description |
|---|---|
| PAYG | |
| Paid |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
licenseCategory
This property represents the choice between SQL Server Core and ESU licenses.
| Value | Description |
|---|---|
| Core |
scopeType
The Azure scope to which the license will apply.
| Value | Description |
|---|---|
| Tenant | |
| Subscription | |
| ResourceGroup |
SqlServerLicense
Describe SQL Server license resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties |
SQL Server license properties |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
SqlServerLicenseListResult
A list of SQL Server licenses.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Link to retrieve next page of results. |
| value |
Array of results. |
SqlServerLicenseProperties
Properties of SQL Server License.
| Name | Type | Description |
|---|---|---|
| activationState |
The activation state of the license. |
|
| billingPlan |
SQL Server license type. |
|
| lastActivatedAt |
string (date-time) |
The timestamp of the most recent activation of the SqlServerLicense. |
| lastDeactivatedAt |
string (date-time) |
The timestamp of the most recent deactivation of the SqlServerLicense. |
| licenseCategory |
This property represents the choice between SQL Server Core and ESU licenses. |
|
| physicalCores |
integer (int32) minimum: 16multipleOf: 2 |
The number of total cores of the license covers. |
| scopeType |
The Azure scope to which the license will apply. |
|
| tenantId |
string |
The tenantId the SQL Server license resource subscription resides in. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |